varying vec2 	texcoord;

attribute vec3	s2_vertex;
attribute vec4	s2_texcoords; 

uniform vec2 coordScale;
uniform vec2 coordOfs;

void main()
{
	gl_Position = vec4(s2_vertex,1.0);
	texcoord = (s2_texcoords.st*coordScale) + coordOfs;	
}